%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-ipython_genutils
Version:       0.2.0
Release:       3mamba
Summary:       IPython vestigial utilities
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/ipython/ipython_genutils
Source:        https://pypi.debian.net/ipython_genutils/ipython_genutils-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n ipython_genutils-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*

%changelog
* Fri Apr 07 2023 Sdk Build System <sdk@mambasoft.it> 0.2.0-3mamba
- rebuilt with python 3.10

* Sun Feb 13 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.0-2mamba
- rebuilt with distdeps

* Thu Dec 31 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.0-1mamba
- package created using the webbuild interface
